Subject: Re: Cygwin version 1.3.2
From: Corinna Vinschen <[email-masked]>
To: cygwin <[email-masked]>
Cc: Kern Sibbald <[email-masked]>
Date: Mon, 6 Aug 2001 11:55:57 +0200

On Mon, Aug 06, 2001 at 07:30:36PM +1000, Robert Collins wrote:
> On 06 Aug 2001 11:05:12 +0200, Kern Sibbald wrote:
> > Hello,
> > 
> > Request for change:
> > [...]
> > Please consider changing the Cygwin uname to conform more closely to 
> > Unix "standards" by eliminating the additional information you place
> > on
> > the first and third fields.

There's no such thing as a standard for the exact content of the
fields. FWIW, take a look into the configure scripts of some well
known open source projects (binutils/gcc/gdb/...) and you will see
how these projects deal with the uname output. Especially look into
config.guess in the top level source directory.

> My .2c - your makefile is dangerous if it doesn't quote the output from
> uname -a anyway. (I could add a script to a user ~/bin called uname and

Agree.

> read the "contributing to cygwin" link from the home page. Unless you
> can *motivate* a developer, this _will not_ get done. The fastest way to
> motivate them is to
> 0) Submit a patch for the change you want done.
> 1) give them lots of money.

Except for lots of money $-) I can't see a way to motivate us at all.
The current output of uname has a long history and it contains
all information _I want_ to see as a developer. Especially the
part in braces contains important information about the supported
API of that very Cygwin DLL. I better have too much than too less
information.

> 2) Show a large-scale impact on the community
> 3) Find a *bug* (as opposed to "feature").
> 4) Give me lots of money and I'll beg on your behalf.

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/